ranges::compressed_pair< First, Second > Struct Template Reference
Inheritance diagram for ranges::compressed_pair< First, Second >:

## Public Types

using | first_type = First
using | second_type = Second

## Public Member Functions

template<typename U , typename V >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< First, U > &&constructible_from< Second, V >) ccconstexpr compressed_pair(U &&u
constexpr First & | first () &
constexpr First && | first () &&
constexpr First const & | first () const &
CPP_TEMPLATE_AUX_0 V &&v | noexcept (noexcept(First((U &&) u)) &&noexcept(Second((V &&) v)))
constexpr Second & | second () &
constexpr Second && | second () &&
constexpr Second const & | second () const &
Public Member Functions inherited from ranges::box< First, meta::size_t< 0 > >
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< box, detail::decay_t< E >>) &&constructible_from< First, E > &&(!convertible_to< E, First >)) ccconstexpr explicit box(E &&e) noexcept(std::is_nothrow_constructible< First, E >::value)
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< box, detail::decay_t< E >>) &&constructible_from< First, E > &&convertible_to< E, First >) ccconstexpr box(E &&e) noexcept(std::is_nothrow_constructible< First, E >::value)
constexpr First && | get () &&noexcept
constexpr First & | get () &noexcept
constexpr First const && | get () const &&noexcept
constexpr First const & | get () const &noexcept
Public Member Functions inherited from ranges::box< Second, meta::size_t< 1 > >
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< box, detail::decay_t< E >>) &&constructible_from< Second, E > &&(!convertible_to< E, Second >)) ccconstexpr explicit box(E &&e) noexcept(std::is_nothrow_constructible< Second, E >::value)
CPP_TEMPLATE_AUX_0 | c (requires `(!same_as< box, detail::decay_t< E >>) &&constructible_from< Second, E > &&convertible_to< E, Second >) ccconstexpr box(E &&e) noexcept(std::is_nothrow_constructible< Second, E >::value)
constexpr Second && | get () &&noexcept
constexpr Second & | get () &noexcept
constexpr Second const && | get () const &&noexcept
constexpr Second const & | get () const &noexcept